## org.eclipse.jst.ws.jaxws.dom.runtime.api
Interface IDOM

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface IDOM

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'IDOM'.

The following features are supported:

- `Web Service Projects`

See Also:
  `DomPackage.getIDOM()`

Method Summary
`org.eclipse.emf.common.util.EList<IWebServiceProject>` `getWebServiceProjects()` Returns the value of the 'Web Service Projects' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getWebServiceProjects

    org.eclipse.emf.common.util.EList<IWebServiceProject> getWebServiceProjects()

  Returns the value of the 'Web Service Projects' containment reference list. The list contents are of type `IWebServiceProject`.

  If the meaning of the 'Web Service Projects' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Web Service Projects' containment reference list.
  See Also:
    `DomPackage.getIDOM_WebServiceProjects()`